gmp_cmp
gmp_div_q
GMP Functions
PHP Manual

# gmp_com

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_com — Calculates one's complement

### Description

GMP gmp_com ( GMP `$a` )

Returns the one's complement of `a`.

### Parameters

`a`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

Returns the one's complement of `a`, as a GMP number.

### Examples

Example #1 gmp_com() example

`<?php
$com = gmp_com("1234");
echo gmp_strval($com) . "\n";
?>`

The above example will output:

    -1235

gmp_cmp
gmp_div_q
GMP Functions
PHP Manual